> ## Documentation Index > Fetch the complete documentation index at: https://docs.grassfish.com/llms.txt > Use this file to discover all available pages before exploring further. # Get an existing location > Locations are implicitly filtered by the user's `read` permission. ## OpenAPI ````json GET /v{version}/Locations/{id} { "openapi": "3.0.1", "info": { "title": "IXM Platform API 1.21", "description": "IXM Platform API", "contact": { "name": "Grassfish", "url": "https://grassfish.com", "email": "support@grassfish.com" }, "version": "1.21" }, "paths": { "/v{version}/Locations/{id}": { "get": { "tags": [ "Locations" ], "summary": "Get an existing location", "description": "Locations are implicitly filtered by the user's `read` permission.", "operationId": "Locations_GetById", "parameters": [ { "name": "id", "in": "path", "description": "Unique ID of the location", "required": true, "schema": { "type": "integer", "format": "int32" } }, { "name": "version", "in": "path", "description": "The requested API version", "required": true, "schema": { "type": "string" } } ], "responses": { "200": { "description": "Returns the location details.", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/V1.Models.LocationDetails" } } } }, "400": { "description": "Bad request", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/Common.Models.ModelStateError" } } } }, "401": { "description": "Unauthorized", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/Common.Models.Error" } } } }, "403": { "description": "Forbidden", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/Common.Models.Error" } } } }, "404": { "description": "Not Found", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/Common.Models.Error" } } } }, "500": { "description": "Unexpected error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/Common.Models.Error" } } } } }, "security": [ { "api_key": [] }, { "session_id": [] } ] } } }, "components": { "schemas": { "V1.Models.LocationDetails": { "required": [ "CategoryIds", "HolidayListIds", "Name", "ParentId", "Permissions" ], "type": "object", "properties": { "Address": { "type": "string", "description": "Address of the location" }, "CategoryIds": { "type": "array", "items": { "type": "integer", "format": "int32" }, "description": "List of category IDs of the location" }, "City": { "type": "string", "description": "City of the location" }, "Country": { "type": "string", "description": "Country of the location" }, "Created": { "type": "string", "description": "Creation date in UTC", "format": "date-time", "readOnly": true }, "Email": { "type": "string", "description": "Email address of the location" }, "Fax": { "type": "string", "description": "Fax number of the location" }, "HolidayListIds": { "type": "array", "items": { "type": "integer", "format": "int32" }, "description": "List of holiday list IDs of the location" }, "Id": { "type": "integer", "description": "Unique ID of the location", "format": "int32", "readOnly": true }, "Modified": { "type": "string", "description": "Modification date in UTC", "format": "date-time", "readOnly": true }, "Name": { "type": "string", "description": "Name of the location" }, "ParentId": { "maximum": 2147483647, "minimum": 1, "type": "integer", "description": "Unique ID of the parent location", "format": "int32" }, "Permissions": { "type": "object", "additionalProperties": { "type": "object", "properties": { "Read": { "type": "boolean" }, "Write": { "type": "boolean" }, "ReceiveMessage": { "type": "boolean" } }, "description": "A set containing multiple entries containing one user group and its available permissions" }, "description": "Dictionary of UserGroupId and PermissionSet" }, "PhoneNumber": { "type": "string", "description": "Phone number of the location" }, "ZipCode": { "type": "string", "description": "ZIP code of the location" } }, "description": "Location details" }, "Common.Models.ModelStateError": { "type": "object", "properties": { "ValidationErrors": { "type": "object", "additionalProperties": { "type": "array", "items": { "type": "string" } } } } }, "Common.Models.Error": { "type": "object", "properties": { "Id": { "type": "string" }, "Message": { "type": "string" }, "Type": { "type": "string" }, "Values": { "type": "object", "additionalProperties": { "type": "object" } } } } }, "securitySchemes": { "api_key": { "type": "apiKey", "description": "Api Key", "name": "X-ApiKey", "in": "header" }, "session_id": { "type": "apiKey", "description": "Session Id", "name": "X-Session-Id", "in": "header" } } } } ````